set(SQLITE_ORM_VERSION ${sqlite_orm_VERSION})


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was SqliteOrmConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/cmake/sqlite_orm" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set_and_check(SQLITE_ORM_INCLUDE_DIR "/usr/include/sqlite_orm")
set_and_check(SQLITE_ORM_CMAKE_DIR "/usr//usr/lib/cmake/sqlite_orm")

if (NOT TARGET sqlite_orm::sqlite_orm)
  include("${SQLITE_ORM_CMAKE_DIR}/SqliteOrmTargets.cmake")
endif()

set(SQLITE_ORM_LIBRARIES sqlite_orm::sqlite_orm)

if ("${SQLITE_ORM_LIBRARIES}" STREQUAL "")
	message(FATAL_ERROR "sqlite_orm libraries were not found")
endif()

if (NOT SqliteOrm_FIND_QUIETLY)
  message(STATUS "Found sqlite_orm: ${PACKAGE_PREFIX_DIR}")
endif()

check_required_components(SqliteOrm)
